<?xml version="1.0" encoding="UTF-8"?>
<!--
 | (C) Copyright IBM Corporation 2001, 2002, 2003. All Rights Reserved.
 | This file is part of the DITA package on IBM's developerWorks site.
 | See license.txt for disclaimers.
 |
 | The Darwin Information Typing Architecture (DITA) was orginated by
 | IBM's XML Workgroup and ID Workbench tools team.
 |
 | File: highlight-domain.mod
 |
 | Release history (vrm):
 |   1.0.0 Release 1.2 - Initial XML Schema release on IBM's developerWorks, June 2003
 *-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" attributeFormDefault="unqualified">

   <!-- Basic form: Single Effect Formatting Phrases -->
  <xs:element name="sup" type="sup.class" substitutionGroup="ph"/>
  <xs:complexType name="sup.class" mixed="true">
    <xs:complexContent>
      <xs:restriction base="ph.class">
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:group ref="basic.ph"/>
        </xs:choice>
	<xs:attributeGroup ref="global-atts"/>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attribute ref="class" default="+ topic/ph hi-d/sup "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

  <xs:element name="sub" type="sub.class" substitutionGroup="ph"/>
  <xs:complexType name="sub.class" mixed="true">
    <xs:complexContent>
      <xs:restriction base="ph.class">
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:group ref="basic.ph"/>
        </xs:choice>
	<xs:attributeGroup ref="global-atts"/>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attribute ref="class" default="+ topic/ph hi-d/sub "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

  <xs:element name="tt" type="tt.class" substitutionGroup="ph"/>
  <xs:complexType name="tt.class" mixed="true">
    <xs:complexContent>
      <xs:restriction base="ph.class">
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:group ref="basic.ph"/>
        </xs:choice>
	<xs:attributeGroup ref="global-atts"/>
	<xs:attributeGroup ref="univ-atts"/>
        <xs:attribute ref="class" default="+ topic/ph hi-d/tt "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

  <xs:element name="b" type="b.class" substitutionGroup="ph"/>
  <xs:complexType name="b.class" mixed="true">
    <xs:complexContent>
      <xs:restriction base="ph.class">
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:group ref="basic.ph"/>
        </xs:choice>
	<xs:attributeGroup ref="global-atts"/>
        <xs:attributeGroup ref="univ-atts"/>
        <xs:attribute ref="class" default="+ topic/ph hi-d/b "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

  <xs:element name="u" type="u.class" substitutionGroup="ph"/>
  <xs:complexType name="u.class" mixed="true">
    <xs:complexContent>
      <xs:restriction base="ph.class">
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:group ref="basic.ph"/>
        </xs:choice>
        <xs:attributeGroup ref="global-atts"/>
	<xs:attributeGroup ref="univ-atts"/>
        <xs:attribute ref="class" default="+ topic/ph hi-d/u "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

  <xs:element name="i" type="i.class" substitutionGroup="ph"/>
  <xs:complexType name="i.class" mixed="true">
    <xs:complexContent>
      <xs:restriction base="ph.class">
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:group ref="basic.ph"/>
        </xs:choice>
        <xs:attributeGroup ref="global-atts"/>
	<xs:attributeGroup ref="univ-atts"/>
        <xs:attribute ref="class" default="+ topic/ph hi-d/i "/>
      </xs:restriction>
    </xs:complexContent>
  </xs:complexType>

</xs:schema>
